=== debian/changelog ===
ferret-vis (6.9.3-4build1) xenial; urgency=medium

  * No-change rebuild for netcdf transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 22:07:21 +0000

ferret-vis (6.9.3-4) unstable; urgency=medium

  * Move to openjdk-8-jdk.
  * Fix FTBFS on binary-only build. Closes: #806024

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Nov 2015 19:53:21 +0000

ferret-vis (6.9.3-3) unstable; urgency=medium

  * Acknowledge NMUs, thanks.
  * Change Vcs-Git to anonscm.d.o form.
  * Patch for reproducible builds from Chris Lamb. Closes: #797579. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Sep 2015 06:03:33 +0100

ferret-vis (6.9.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop trailing comma from description synopsis. (closes: #720106)
  * Drop unused libmotif-dev build dependency. (closes: #714752)
  * Move from experimental to unstable for netcdf transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Aug 2015 15:36:45 +0200

ferret-vis (6.9.3-2~exp1) experimental; urgency=medium

  * Build against libnetcdff-dev for netcdf transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jun 2015 16:38:52 +0100

ferret-vis (6.9.3-1) unstable; urgency=medium

  * New upstream release
  * Add Vcs-Git: to debian/control, debian-science repo.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2015 07:44:11 +0100
