=== debian/control ===
Source: ferret-vis
Section: utils
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), libreadline-dev, 
 libcurl4-openssl-dev | libcurl-dev, libxgks-dev, 
 libncurses-dev, gfortran, libnetcdf-dev, libnetcdff-dev,
 libxmu-headers, csh, libxpm-dev, libxt-dev, 
 java-common, openjdk-8-jdk
Standards-Version: 3.9.6
Homepage: http://www.ferret.noaa.gov/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ferret-vis.git

Package: ferret-vis
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},  tcsh | csh | c-shell
Recommends: ferret-datasets
Description: Interactive data visualization and analysis environment
 Ferret is an interactive computer visualization and analysis environment
 designed to meet the needs of oceanographers and meteorologists analyzing 
 large and complex gridded data sets. It can transparently access extensive
 remote Internet data bases using OPeNDAP (formerly known as DODS)
 .
 Ferret has a Mathematica-like flexibility, geophysical formatting, 
 "intelligent" connection to its data base, memory management for very large 
 calculations, and symmetrical processing in 4 dimensions. It can work on both
 gridded and non-gridded datasets.

Package: ferret-datasets
Architecture: all
Depends: ferret-vis, ${misc:Depends}
Description: Datasets for use with Ferret Visualisation and analysis suite
 These datasets contain reference climatologies and grids for use with ferret.
 They include:
  * etopo120            relief of the earth's surface at 120-minute resolution
  * etopo60             relief of the earth's surface at 60-minute resolution
  * levitus_climatology subset of the Climatological Atlas of the World Oceans 
                        by Sydney Levitus (Note: the updated World Ocean Atlas,
                        1994, is also available with Ferret)
  * coads_climatology   12-month climatology derived from 1946–1989 of the 
                        Comprehensive Ocean/Atmosphere Data Set
  * monthly_navy_winds  monthly-averaged Naval Fleet Numerical Oceanography 
                        Center global marine winds (1982–1990)
  * esku_heat_budget    Esbensen-Kushnir 4×5 degree monthly climatology of the
                        global ocean heat budget (25 variables)
