## ferret-vis 7.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,17 @@
 	$(MAKE) xgks/Makefile
 	$(MAKE) -C xgks
 	$(MAKE) -C fer
+	$(MAKE) -C threddsBrowser
+	$(MAKE) -C external_functions
+	$(MAKE) -C gksm2ps
+	$(MAKE) -C bin/build_fonts/unix
+
+.PHONY : beta
+beta :
+	mkdir -p lib
+	$(MAKE) xgks/Makefile
+	$(MAKE) -C xgks
+	$(MAKE) -C fer beta
 	$(MAKE) -C threddsBrowser
 	$(MAKE) -C external_functions
 	$(MAKE) -C gksm2ps
@@ -43,6 +54,7 @@
 clean :
 	rm -fr fer_executables.tar.gz
 	rm -fr fer_environment.tar.gz
+	$(MAKE) -C bench clean
 	$(MAKE) -C bin/build_fonts/unix clean
 	$(MAKE) -C gksm2ps clean
 	$(MAKE) -C external_functions clean
@@ -73,7 +85,7 @@
 	bin/make_environment_tar . . -y
 	mkdir -p $(INSTALL_FER_DIR)
 	mv -f fer_environment.tar.gz $(INSTALL_FER_DIR)
-	( cd $(INSTALL_FER_DIR) ; tar xvzf fer_environment.tar.gz )
+	( cd $(INSTALL_FER_DIR) ; tar xzf fer_environment.tar.gz )
 
 ## Create the fer_executables.tar.gz files and then extract it into $(INSTALL_FER_DIR)
 .PHONY : install_exes
@@ -82,6 +94,11 @@
 	bin/make_executable_tar . . -y
 	mkdir -p $(INSTALL_FER_DIR)
 	mv -f fer_executables.tar.gz $(INSTALL_FER_DIR)
-	( cd $(INSTALL_FER_DIR) ; tar xvzf fer_executables.tar.gz )
+	( cd $(INSTALL_FER_DIR) ; tar xzf fer_executables.tar.gz )
+
+## Execute the RUN_TESTS.sh tests
+.PHONY : run_tests
+run_tests :
+	$(MAKE) -C bench run_tests
 
 ##
