=== fer/Makefile ===
--- 
+++ 
@@ -31,7 +31,8 @@
 #                   target go to the desired default target ncdf4;
 #                   cleaned-up tags
 #  v6.8  7/13 *kms* - removed threddsBrowser (moved to top level since it is a separate app)
-
+#  v6.97 2/16 *acm* - restore "profiling" target
+#  V698  3/16 *acm* Removed Philander-Seigel code including ocn/ directory
 # 
 # include platform specific macro definitions
 #
@@ -50,16 +51,16 @@
 GUI_FAKES = special/gui_fakes.o
 
 DIRS	= ccr ctx dat doo efi efn ef_utility fmt gnl ino mem  \
-	ocn plt rpn special stk utl xeq
+	 plt rpn special stk utl xeq
 
 LIBS	= ccr ctx dat doo efi efn ef_utility fmt gnl ino mem \
-	ocn plt rpn stk utl xeq
+	 plt rpn stk utl xeq
 
 CLEANDIRS = $(DIRS)
 
 DEPDIRS = ccr
 
-FERLIBS = -lxeq -lgnl  -lccr -lferplt -lrpn -lstk -ldoo -locn \
+FERLIBS = -lxeq -lgnl  -lccr -lferplt -lrpn -lstk -ldoo  \
 	-lctx -lfmt -lino -lmem -lutl -ldat -lccr -lefi -lefn
 
 PPLLIBS = -lplt -lpll -lsym -lcmp -lour -lepi -lusr -ltmap
@@ -98,27 +99,41 @@
 .PHONY: ncdf4
 ncdf4:
 	mkdir -p ../lib
-	$(MAKE) "CFLAGS=$(CFLAGS) -O -DNDEBUG" \
-		"FFLAGS=$(FFLAGS) -O -DNDEBUG" \
+	$(MAKE) "CFLAGS=$(CFLAGS) $(OPT_FLAGS)" \
+		"FFLAGS=$(FFLAGS) $(OPT_FLAGS)" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) $(PPLUS_OPT_FLAGS)" \
+		"DEBUG_TITLE = optimized" \
 		"GUI_FAKES=special/gui_fakes.o" \
 		build
 
-# Dont seem to have all the static libraries we need for this.
-.PHONY: ncdf4_static
-ncdf4_static:
-	mkdir -p ../lib
-	$(MAKE) "CFLAGS=$(CFLAGS) -O -DNDEBUG" \
-		"FFLAGS=$(FFLAGS) -O -DNDEBUG" \
-		"LDFLAGS=$(LDFLAGS) -static" \
-		"GUI_FAKES=special/gui_fakes.o" build
+.PHONY: beta
+beta:
+	mkdir -p ../lib
+	$(MAKE) "CFLAGS=$(CFLAGS) $(OPT_FLAGS)" \
+		"FFLAGS=$(FFLAGS) $(OPT_FLAGS)" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) $(PPLUS_OPT_FLAGS)" \
+		"DEBUG_TITLE = beta/optim" \
+		"GUI_FAKES=special/gui_fakes.o" \
+		build
 
 .PHONY: debug
 debug:
 	mkdir -p ../lib
-	$(MAKE) "CFLAGS = $(CFLAGS) -O0 -g"  \
-		"FFLAGS = $(FFLAGS) -O0 -g -fbounds-check" \
-		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) -O0 -g" \
-		"DEBUG_TITLE = beta" \
+	$(MAKE) "CFLAGS = $(CFLAGS) $(DBG_FLAGS)"  \
+		"FFLAGS = $(FFLAGS) $(DBG_FLAGS) -fbounds-check" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) $(DBG_FLAGS)" \
+		"DEBUG_TITLE = beta/debug" \
+		"GUI_FAKES=special/gui_fakes.o" \
+		build
+
+.PHONY: profiling
+profiling:
+	mkdir -p ../lib
+	$(MAKE) "CFLAGS = $(CFLAGS) $(PROF_FLAGS) "  \
+		"FFLAGS = $(FFLAGS) $(PROF_FLAGS) -fbounds-check" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) $(PROF_FLAGS)" \
+		"LDFLAGS = $(LDFLAGS) $(PROF_FLAGS)" \
+		"DEBUG_TITLE = profiling" \
 		"GUI_FAKES=special/gui_fakes.o" build
 
 .PHONY: ferret
