=== gksm2ps/Makefile ===
--- 
+++ 
@@ -58,6 +58,14 @@
 		GKLIB="../xgks/src/lib/libxgks.a" \
 		LIB="-L/usr/X11R6.4/lib -lX11 -lm"
 
+intel-mac:
+	${MAKE} gksm2ps \
+		CC=gcc \
+		CFLAGS="-I../xgks/port -I../xgks/src/lib -I../xgks/src/lib/gksm -I/usr/X11R6/include" \
+		LDFLAGS= \
+		GKLIB="../xgks/src/lib/libxgks.a" \
+		LIB="-L/usr/X11R6/lib -lX11 -lm"
+
 x86_64-linux:	
 	${MAKE} gksm2ps \
 		CC=gcc \
