=== debian/changelog ===
ferret-vis (7.0-2) unstable; urgency=medium

  * Add desktop file, pixmap to applications, pixmaps dirs

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Dec 2016 09:51:01 +0000

ferret-vis (7.0-1) unstable; urgency=medium

  * New upstream release
  * ferret-vis recommends python-ferret, python3-ferret

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Aug 2016 03:13:14 +0100

ferret-vis (6.9.6-2) unstable; urgency=medium

  * Use default-java rather than hard-coded path. CLoses: #832292

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Jul 2016 01:41:57 +0100

ferret-vis (6.9.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.8. No changes required.
  * Set LC_ALL=C for reproducibility
  * Depend on xgks >= 2.6.1-4 as this now includes some fixes from ferret
    6.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 20:33:41 +0100
