=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), libreadline-dev, 
- libcurl4-openssl-dev | libcurl-dev, libxgks-dev, 
+ libcurl4-openssl-dev | libcurl-dev, 
+ libxgks-dev (>= 2.6.1+dfsg.2-4) , 
  libncurses-dev, gfortran, libnetcdf-dev, libnetcdff-dev,
  libxmu-headers, csh, libxpm-dev, libxt-dev, 
- java-common, openjdk-8-jdk
-Standards-Version: 3.9.6
+ java-common, default-jdk-headless
+Standards-Version: 3.9.8
 Homepage: http://www.ferret.noaa.gov/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/ferret-vis.git
 
 Package: ferret-vis
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},  tcsh | csh | c-shell
-Recommends: ferret-datasets
+Recommends: ferret-datasets, python-ferret, python3-ferret
 Description: Interactive data visualization and analysis environment
  Ferret is an interactive computer visualization and analysis environment
  designed to meet the needs of oceanographers and meteorologists analyzing
