=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
+
+# Set for reproducibility
+LC_ALL=C
+export LC_ALL
 
 # magic debhelper rule
 %:
@@ -39,9 +43,9 @@
 override_dh_auto_clean:
 	# use system xpm.h, not supplied ones
 	rm -f fer/gui/xpm*.h
-	find . -type l  -exec rm {} \;
-	find . -name '*.o' -exec rm {} \;
-	find . -name '*.so' -exec rm {} \;
+	find . -type l  -delete
+	find . -name '*.o' -delete
+	find . -name '*.so' -delete
 	find external_functions -type l -exec rm {} \;
 	[ ! -f gksm2ps/Makefile ] || $(MAKE) -C gksm2ps clean
 	[ ! -f fer/platform_specific_flags.mk.debian ]  || $(MAKE) -C fer clean HOSTTYPE=debian
