## ferret-vis 7.1

=== debian/changelog ===
ferret-vis (7.1-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 18:00:53 +0000

ferret-vis (7.1-1) unstable; urgency=medium

  * New upstream release
  * Ship palettes, which have moved from datasets/. Thanks to Marco van Hulten
    for bug report
  * Silence warning in ferret.el install 'ln -s' -> 'ln -sf'
  * ferret_paths was accidentally created as a directory by install script
  * Standards-Version: 4.0.0; no changes required
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Jun 2017 10:58:44 +0100
