=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), libreadline-dev, 
+Build-Depends: debhelper (>= 10), libreadline-dev, 
  libcurl4-openssl-dev | libcurl-dev, 
  libxgks-dev (>= 2.6.1+dfsg.2-4) , 
  libncurses-dev, gfortran, libnetcdf-dev, libnetcdff-dev,
  libxmu-headers, csh, libxpm-dev, libxt-dev, 
  java-common, default-jdk-headless
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.ferret.noaa.gov/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/ferret-vis.git
